### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
DiscretizedOption Class Reference

Discretized option on a given asset. More...

`#include <ql/discretizedasset.hpp>`

Inheritance diagram for DiscretizedOption:
[legend]

List of all members.

## Public Member Functions

| DiscretizedOption (const boost::shared_ptr< DiscretizedAsset > &underlying, Exercise::Type exerciseType, const std::vector< Time > &exerciseTimes)
void | reset (Size size)
std::vector< Time > | mandatoryTimes () const

## Protected Member Functions

void | postAdjustValuesImpl ()
void | applyExerciseCondition ()

## Protected Attributes

boost::shared_ptr < DiscretizedAsset > | underlying_
Exercise::Type | exerciseType_
std::vector< Time > | exerciseTimes_

## Detailed Description

Discretized option on a given asset.

Warning:
  it is advised that derived classes take care of creating and initializing themselves an instance of the underlying.

## Member Function Documentation

void reset | ( | Size | size | ) | `[virtual]`

This method should initialize the asset values to an Array of the given size and with values depending on the particular asset.

Implements DiscretizedAsset.

std::vector< Time > mandatoryTimes | ( |  | ) | const`[virtual]`

This method returns the times at which the numerical method should stop while rolling back the asset. Typical examples include payment times, exercise times and such.

Note:
  The returned values are not guaranteed to be sorted.

Implements DiscretizedAsset.

void postAdjustValuesImpl | ( |  | ) | `[protected, virtual]`

This method performs the actual post-adjustment

Reimplemented from DiscretizedAsset.